scala.tools.nsc.ast.parser.SyntaxAnalyzer

# MemberPosReporter

#### class MemberPosReporter extends MemberDefTraverser

Source
  SyntaxAnalyzer.scala

Linear Supertypes
MemberDefTraverser, Global.Traverser, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MemberPosReporter
2. MemberDefTraverser
3. Traverser
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MemberPosReporter(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MemberPosReporter to any2stringadd[MemberPosReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (MemberPosReporter, B)

   Implicit information
     This member is added by an implicit conversion from MemberPosReporter to ArrowAssoc[MemberPosReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply[T <: Global.Tree](tree: T): T

   Definition Classes
     Traverser

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def atOwner(owner: Global.Symbol)(traverse: ⇒ Unit): Unit

   Definition Classes
     Traverser

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def currentDepth: Int

    Definition Classes
      MemberDefTraverser

11. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Traverser

12. #### def ensuring(cond: (MemberPosReporter) ⇒ Boolean, msg: ⇒ Any): MemberPosReporter

    Implicit information
      This member is added by an implicit conversion from MemberPosReporter to Ensuring[MemberPosReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (MemberPosReporter) ⇒ Boolean): MemberPosReporter

    Implicit information
      This member is added by an implicit conversion from MemberPosReporter to Ensuring[MemberPosReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): MemberPosReporter

    Implicit information
      This member is added by an implicit conversion from MemberPosReporter to Ensuring[MemberPosReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): MemberPosReporter

    Implicit information
      This member is added by an implicit conversion from MemberPosReporter to Ensuring[MemberPosReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from MemberPosReporter to StringFormat[MemberPosReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def onMember(md: Global.MemberDef): Unit

    Definition Classes
      MemberPosReporter → MemberDefTraverser

27. #### def outputForScreen(md: Global.MemberDef): String

28. #### def outputForSed(md: Global.MemberDef): String

29. #### def outputPos(md: Global.MemberDef): String

30. #### val path: String

31. #### def prune(md: Global.MemberDef): Boolean

    Prune this tree and all trees beneath it.

    Prune this tree and all trees beneath it. Can be overridden.

    Definition Classes
      MemberDefTraverser

32. #### def show(style: String): Unit

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def traverse(t: Global.Tree): Unit

    Definition Classes
      MemberDefTraverser → Traverser

36. #### def traverseAnnotations(annots: List[Global.Tree]): Unit

    Definition Classes
      Traverser

37. #### def traverseCases(cases: List[Global.CaseDef]): Unit

    Definition Classes
      Traverser

38. #### def traverseConstant(c: Global.Constant): Unit

    Definition Classes
      Traverser

39. #### def traverseGuard(guard: Global.Tree): Unit

    Definition Classes
      Traverser

40. #### def traverseImportSelector(sel: Global.ImportSelector): Unit

    Definition Classes
      Traverser

41. #### def traverseModifiers(mods: Global.Modifiers): Unit

    Definition Classes
      Traverser

42. #### def traverseName(name: Global.Name): Unit

    Definition Classes
      Traverser

43. #### def traverseParams(params: List[Global.Tree]): Unit

    Definition Classes
      Traverser

44. #### def traverseParamss(vparamss: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

45. #### def traverseParents(parents: List[Global.Tree]): Unit

    Definition Classes
      Traverser

46. #### def traversePattern(pat: Global.Tree): Unit

    Definition Classes
      Traverser

47. #### def traverseSelfType(self: Global.ValDef): Unit

    Definition Classes
      Traverser

48. #### def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit

    Definition Classes
      Traverser

49. #### def traverseTrees(trees: List[Global.Tree]): Unit

    Definition Classes
      Traverser

50. #### def traverseTreess(treess: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

51. #### def traverseTypeArgs(args: List[Global.Tree]): Unit

    Definition Classes
      Traverser

52. #### def traverseTypeAscription(tpt: Global.Tree): Unit

    Definition Classes
      Traverser

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### def →[B](y: B): (MemberPosReporter, B)

    Implicit information
      This member is added by an implicit conversion from MemberPosReporter to ArrowAssoc[MemberPosReporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from MemberDefTraverser

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MemberPosReporter to any2stringadd[MemberPosReporter]

### Inherited by implicit conversion StringFormat from MemberPosReporter to StringFormat[MemberPosReporter]

### Inherited by implicit conversion Ensuring from MemberPosReporter to Ensuring[MemberPosReporter]

### Inherited by implicit conversion ArrowAssoc from MemberPosReporter to ArrowAssoc[MemberPosReporter]

### Ungrouped